Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.util
Interface RemoteFileSystem

    public interface RemoteFileSystem

Field Summary
`static java.lang.String` | `FTP_PROTOCOL`
`static java.lang.String` | `FTPS_PROTOCOL`
`static java.lang.String` | `PARMS_ASCII`
`static java.lang.String` | `PARMS_CERTIFICATE`
`static java.lang.String` | `PARMS_CERTIFICATE_NAME`
`static java.lang.String` | `PARMS_FTP_SERVER`
`static java.lang.String` | `PARMS_LOCAL_DIR`
`static java.lang.String` | `PARMS_PASSIVE`
`static java.lang.String` | `PARMS_PASSPHRASE`
`static java.lang.String` | `PARMS_PASSWD`
`static java.lang.String` | `PARMS_PORT`
`static java.lang.String` | `PARMS_PROTOCOL`
`static java.lang.String` | `PARMS_REMOTE_DIR`
`static java.lang.String` | `PARMS_USER`
`static java.lang.String` | `SFTP_PROTOCOL`

Method Summary
`void` | `deleteRemoteFile(java.lang.String p_sFile)` Deletes specified file in remote directory
`void` | `downloadFile(java.lang.String p_sFile, java.lang.String p_sFinalName)` Downloads specified file from remote directory (remoteDirURI) to local directory (localDirURI)
`java.lang.String[]` | `getFileListFromRemoteDir(java.lang.String p_sSuffix)` Gets the list of files in the remote directory that end with arg0
`java.lang.String` | `getRemoteDir()`
`void` | `quit()` Terminates ftp session and frees resources Well behaved programs should make sure to call this method
`void` | `remoteDelete(java.io.File p_oFile)`
`void` | `remoteRename(java.io.File p_oFrom, java.io.File p_oTo)`
`void` | `renameInRemoteDir(java.lang.String p_sFrom, java.lang.String p_sTo)` Renames specified file in remote directory to specified new name
`void` | `setRemoteDir(java.lang.String p_sDir)` Change remote directory
`void` | `uploadFile(java.io.File p_oFile, java.lang.String p_sRemoteName)` Uploads specified file from local directory (localDirURI) to remote directory (remoteDirURI)

Field Detail

### FTP_PROTOCOL

    static final java.lang.String FTP_PROTOCOL

See Also:
  Constant Field Values

### SFTP_PROTOCOL

    static final java.lang.String SFTP_PROTOCOL

See Also:
  Constant Field Values

### FTPS_PROTOCOL

    static final java.lang.String FTPS_PROTOCOL

See Also:
  Constant Field Values

### PARMS_PROTOCOL

    static final java.lang.String PARMS_PROTOCOL

See Also:
  Constant Field Values

### PARMS_FTP_SERVER

    static final java.lang.String PARMS_FTP_SERVER

See Also:
  Constant Field Values

### PARMS_USER

    static final java.lang.String PARMS_USER

See Also:
  Constant Field Values

### PARMS_PASSWD

    static final java.lang.String PARMS_PASSWD

See Also:
  Constant Field Values

### PARMS_PORT

    static final java.lang.String PARMS_PORT

See Also:
  Constant Field Values

### PARMS_REMOTE_DIR

    static final java.lang.String PARMS_REMOTE_DIR

See Also:
  Constant Field Values

### PARMS_LOCAL_DIR

    static final java.lang.String PARMS_LOCAL_DIR

See Also:
  Constant Field Values

### PARMS_ASCII

    static final java.lang.String PARMS_ASCII

See Also:
  Constant Field Values

### PARMS_PASSIVE

    static final java.lang.String PARMS_PASSIVE

See Also:
  Constant Field Values

### PARMS_CERTIFICATE

    static final java.lang.String PARMS_CERTIFICATE

See Also:
  Constant Field Values

### PARMS_CERTIFICATE_NAME

    static final java.lang.String PARMS_CERTIFICATE_NAME

See Also:
  Constant Field Values

### PARMS_PASSPHRASE

    static final java.lang.String PARMS_PASSPHRASE

See Also:
  Constant Field Values

Method Detail

### getRemoteDir

    java.lang.String getRemoteDir()

### quit

    void quit()

  Terminates ftp session and frees resources
  - Well behaved programs should make sure to call this method

### deleteRemoteFile

    void deleteRemoteFile(java.lang.String p_sFile)
                          throws RemoteFileSystemException

  Deletes specified file in remote directory

  Parameters:
    `p_sFile` - String : filename to delete. Method will attempt to delete file with rightmost node of argument within remote directory specified in 'remoteDirURI'
  Throws:
    `RemoteFileSystemException` - : if ftp connection cannot be established, or file cannot be deleted in remote directory

### remoteDelete

    void remoteDelete(java.io.File p_oFile)
                      throws RemoteFileSystemException

  Throws:
    `RemoteFileSystemException`

### getFileListFromRemoteDir

    java.lang.String[] getFileListFromRemoteDir(java.lang.String p_sSuffix)
                                                throws java.io.IOException,
                                                       RemoteFileSystemException

  Gets the list of files in the remote directory that end with arg0

  Parameters:
    `p_sSuffix` - String : retrieve only files that end with that suffix - all files if null
  Throws:
    `RemoteFileSystemException` - : if ftp connection cannot be established, or problems encountered
    `java.io.IOException`

### setRemoteDir

    void setRemoteDir(java.lang.String p_sDir)
                      throws RemoteFileSystemException

  Change remote directory

  Parameters:
    `p_sDir` - String : directory to set
  Throws:
    `RemoteFileSystemException` - : if ftp connection cannot be established, or problems encountered

### renameInRemoteDir

    void renameInRemoteDir(java.lang.String p_sFrom,
                           java.lang.String p_sTo)
                           throws RemoteFileSystemException

  Renames specified file in remote directory to specified new name

  Parameters:
    `p_sFrom` - String : filename to rename
    `p_sTo` - String : new filename
  Throws:
    `RemoteFileSystemException` - : if ftp connection cannot be established, or file cannot be renamed to new name in remote directory
    - Method will attempt to rename file with rightmost node of argument within remote directory specified in 'remoteDirURI', to new name inside the SAME remote directory

### remoteRename

    void remoteRename(java.io.File p_oFrom,
                      java.io.File p_oTo)
                      throws java.io.IOException,
                             RemoteFileSystemException

  Parameters:
    `p_oFrom` -
    `p_oTo` -
  Throws:
    `java.io.IOException` - if file not found.
    `RemoteFileSystemException`

### uploadFile

    void uploadFile(java.io.File p_oFile,
                    java.lang.String p_sRemoteName)
                    throws RemoteFileSystemException

  Uploads specified file from local directory (localDirURI) to remote directory (remoteDirURI)

  Parameters:
    `p_oFile` - String : filename to upload
  Throws:
    `RemoteFileSystemException` - : if ftp connection cannot be established, or file cannot be uploaded
    - local file will be renamed during transfer ('.xferNotReady' appended to name)
    - upon successful completion. the suffix '.xferDone' will be appended to the original filename

### downloadFile

    void downloadFile(java.lang.String p_sFile,
                      java.lang.String p_sFinalName)
                      throws java.io.IOException,
                             RemoteFileSystemException

  Downloads specified file from remote directory (remoteDirURI) to local directory (localDirURI)

  Parameters:
    `p_sFile` - String : filename to download
  Throws:
    `RemoteFileSystemException` - : if ftp connection cannot be established, or file cannot be downloaded
    - local file is assigned a temporary name during transfer
    - upon successful completion, local temporary file will be renamed to name specified in argument, and suffix '.xferDone' will be appended to the original filename in the remote directory
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD